Sync From Clay
curl --request POST \
--url https://api.ontora.com/v1/demo/sync-from-clay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"firm_name": "<string>",
"contact_name": "<string>",
"contact_role": "<string>",
"featured_company_name": "<string>",
"firm_logo_url": "<string>",
"firm_description": "<string>",
"firm_location": "<string>",
"firm_employee_count": "<string>",
"firm_aum": "<string>",
"contact_avatar_url": "<string>",
"portfolio_companies": [],
"total_portfolio_count": 123,
"featured_company_logo_url": "<string>",
"featured_company_industry": "<string>",
"featured_company_description": "<string>",
"featured_company_employee_count": "<string>",
"featured_company_location": "<string>",
"case_study_employees": [],
"status": "active"
}
'import requests
url = "https://api.ontora.com/v1/demo/sync-from-clay"
payload = {
"slug": "<string>",
"firm_name": "<string>",
"contact_name": "<string>",
"contact_role": "<string>",
"featured_company_name": "<string>",
"firm_logo_url": "<string>",
"firm_description": "<string>",
"firm_location": "<string>",
"firm_employee_count": "<string>",
"firm_aum": "<string>",
"contact_avatar_url": "<string>",
"portfolio_companies": [],
"total_portfolio_count": 123,
"featured_company_logo_url": "<string>",
"featured_company_industry": "<string>",
"featured_company_description": "<string>",
"featured_company_employee_count": "<string>",
"featured_company_location": "<string>",
"case_study_employees": [],
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
firm_name: '<string>',
contact_name: '<string>',
contact_role: '<string>',
featured_company_name: '<string>',
firm_logo_url: '<string>',
firm_description: '<string>',
firm_location: '<string>',
firm_employee_count: '<string>',
firm_aum: '<string>',
contact_avatar_url: '<string>',
portfolio_companies: [],
total_portfolio_count: 123,
featured_company_logo_url: '<string>',
featured_company_industry: '<string>',
featured_company_description: '<string>',
featured_company_employee_count: '<string>',
featured_company_location: '<string>',
case_study_employees: [],
status: 'active'
})
};
fetch('https://api.ontora.com/v1/demo/sync-from-clay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"action": "<string>",
"demo_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"demo_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}demo
Sync From Clay
Webhook endpoint for Clay to sync GTM demo data.
This endpoint receives data from Clay tables and upserts it into the gtm_demos table. If a demo with the same slug exists, it will be updated; otherwise, a new demo will be created.
Configure Clay to send a POST request to: https://api.ontora.com/v1/demo/sync-from-clay
Optional: Set CLAY_WEBHOOK_SECRET env var and include it in the X-Clay-Secret header for verification.
POST
/
v1
/
demo
/
sync-from-clay
Sync From Clay
Authorizations
ClerkJWTWorkspaceApiKey
Clerk-issued RS256 JWT.
Body
application/json
Webhook payload from Clay table.
Maps Clay columns to PE firm demo structure. Column names should match your Clay table headers.
URL slug for the demo (e.g., 'summit-partners')
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I